﻿using Eingabeverwaltung.Metamodell;
using System;

namespace Ueberpruefung.CheckTransformation
{
    public class CheckResultTree_for_RuleStartTree : ElementChecker
    {
        public CheckResultTree_for_RuleStartTree() { }

        public override bool check(Element e)
        {
            if (e is TransformationStep ts)
            {
                bool result = ts.resultTree.Equals(CheckHelper.transform(ts.startTree,ts.termPart,CheckHelper.substitute(ts.ruleEndTree(),ts.substitutions)));
                if (!result) ts.errors.Add(new Error(11));
                return result;
            }
            else throw new InvalidOperationException();
        }
    }
}