﻿using Eingabeverwaltung;

namespace Ueberpruefung
{
    public abstract class Element
	{
		/// <summary>
		/// Coords of the start token of this element
		/// </summary>
		public readonly Coords coords;

		public Element(Coords coords)
		{
			this.coords = coords;
		}
		public bool accept(ElementChecker e) => e.check(this);
	}
}
